{% extends "dashboard/base.html" %}

{% block content %}
<h1 class="page-title">Image Diff for
    pipeline <a href="{{ trace.job_result.pipeline_result.url }}">{{trace.job_result.pipeline_result.id}}</a>
    - job <a href="{{ trace.job_result.url }}">{{ trace.job_result.id }}</a>
</h1>
<h2>Test: {{ trace.name }}</h2>
<p>
    <span><strong>Device</strong>: {{ trace.job_result.device }}</span>
</p>
<p><strong>Mesa SHA</strong>:
    {% if trace.job_result.pipeline_result.mesa_sha %}
        <a href="{{ trace.job_result.pipeline_result.mesa_url }}">{{ trace.job_result.pipeline_result.mesa_sha }}</a>
    {% endif %}
    {{ trace.job_result.timestamp }}
</p>


{% if images_match %}
<p>Reference and Actual images match with the checksum <strong>{{ trace.expected_checksum }}</strong></p>
{% if not reference_png_url is None %}
    <img src="{{ reference_png_url }}">
{% endif %}
{% else %}
<div class="image-diff-grid">
    <div class="image-box">
        <h3>Reference</h3>
        <p>{{ trace.expected_checksum }}</p>
        {% if reference_png_url is None %}
            <p>Failed to fetch Reference image.</p>
        {% else %}
            <img src="{{ reference_png_url }}">
        {% endif %}
    </div>
    <div class="image-box">
        <h3>Actual</h3>
        <p>{{ trace.actual_checksum }}</p>
        {% if actual_png_url is None %}
            <p>Failed to fetch Actual image.</p>
        {% else %}
            <img src="{{ actual_png_url }}">
        {% endif %}
    </div>
</div>
<div class="image-diff-grid">
    <div class="image-box">
        <h3>Difference ({{ red_pixel_count|default_if_none:'unknown'  }} pixels)</h3>
        {% if diff_png_b64 is None %}
            <p>Failed to create diff image.</p>
        {% else %}
            <img src="data:image/png;base64,{{ diff_png_b64 }}">
        {% endif %}
    </div>
</div>
{% endif %}
{% endblock content %}
